#coding=gbk
import sqlite3

#ݿļ·
path = "test.db"

#ֵʽֶ
def dict_factory(cursor, row): 
  d = {} 
  for idx, col in enumerate(cursor.description): 
    d[col[0]] = row[idx] 
  return d

#ȡݿ
def GetConn():
	conn = sqlite3.connect(path)
	conn.row_factory = dict_factory
	return conn

#ִм򵥲ѯ
def Query(sql):
	conn = GetConn()
	cursor = conn.cursor()
	cursor.execute(sql)
	result = cursor.fetchall()
	cursor.close()
	conn.close()
	return result

#ִдĲѯ
def QueryWithParms(sql,parms):
	conn = GetConn()
	cursor = conn.cursor()
	cursor.execute(sql,parms)
	result = cursor.fetchall()
	cursor.close()
	conn.close()
	return result

#ִмSQL
def ExecSQL(sql):
	conn = GetConn()
	cursor = conn.cursor()
	cursor.execute(sql)
	conn.commit()
	cursor.close()
	conn.close()
	return cursor.rowcount

#ִдSQL
def ExecSQLWithParms(sql,parms):
	conn = GetConn()
	cursor = conn.cursor()
	cursor.execute(sql,parms)
	conn.commit()
	cursor.close()
	conn.close()
	return cursor.rowcount

#ִжSQL
def ExecSQLMany(sql,parms):
	conn = GetConn()
	cursor = conn.cursor()
	cursor.executemany(sql,parms)
	conn.commit()
	cursor.close()
	conn.close()
	return cursor.rowcount


#
# import SQLiteHelper
# import datetime

#ִм򵥲ѯʹĲѯ
# result = SQLiteHelper.Query("select * from t1 where id = 1")
# result = SQLiteHelper.Query("select * from t1 where name like '%%'")
# result = SQLiteHelper.QueryWithParms("select * from t1 where name like ?",('%%',))
# result = SQLiteHelper.QueryWithParms("select * from t1 where id = ?",(1,))
# result = SQLiteHelper.QueryWithParms("select * from t1 where id in (?,?,?,?)",(2,3,4,5,))
# for row in result:
#     print(row["id"])
#     print(row["name"])
#     print(row["addtime"],"\n")
#     print(datetime.datetime.strptime(row["addtime"],"%Y-%m-%d %H:%M:%S"),"\n")

#ִмSQL
# row = SQLiteHelper.ExecSQL("insert into t1(name,addtime) values('С','2018-09-18')")
# print(row)

#ִдSQL
# parms = ('÷÷','2018-09-18')
# row = SQLiteHelper.ExecSQLWithParms("insert into t1(name,addtime) values(?,?)",parms)
# print(row)

#ִжSQL
# parms = (('׷','2018-09-18'),('С','2018-09-19'),('С','2018-09-20'))
# row = SQLiteHelper.ExecSQLMany("insert into t1(name,addtime) values(?,?)",parms)
# print(row)
